## castor 1.3.1

=== debian/changelog ===
castor (1.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #581862).

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 02 Jul 2010 20:14:04 -0430
