=== debian/control ===
Source: castor
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: java
Priority: optional
Build-Depends: debhelper (>= 7.0.50), default-jdk, javahelper, ant,
 libcommons-logging-java, liboro-java, libregexp-java, libeasymock-java, junit,
 junit4, libgeronimo-jta-1.0.1b-spec-java, libcglib-java, liblog4j1.2-java,
 glassfish-javaee, velocity, maven-repo-helper, ant-optional
Standards-Version: 3.8.4
Homepage: http://www.castor.org/
Vcs-Git: git://git.debian.org/pkg-java/castor.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/castor.git

Package: libcastor-xml-java
Architecture: all
Depends: libcastor-core-java, libcommons-logging-java, ${misc:Depends}
Recommends: liboro-java, libregexp-java
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - XML module
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the core XML data binding framework with support
 for marshalling Java objects to and unmarshalling from XML documents.

Package: libcastor-core-java
Architecture: all
Depends: libcommons-logging-java, ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - Core
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the core functionality of Castor and it is required
 by all other modules.

Package: libcastor-jdo-java
Architecture: all
Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
 libgeronimo-jta-1.0.1b-spec-java, libcglib-java, glassfish-javaee, ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - JDO
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains Castor JDO: a persistence framework.

Package: libcastor-codegen-java
Architecture: all
Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
 libcommons-logging-java, ${misc:Depends}
Recommends: velocity
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - Codegen
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the Castor XML code generator.

Package: libcastor-ddlgen-java
Architecture: all
Depends: libcastor-xml-java, ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - DDL generator
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains the Castor JDO DDL generator.

Package: libcastor-xml-schema-java
Architecture: all
Depends: libcastor-xml-java, libcastor-core-java, libcommons-logging-java,
 ${misc:Depends}
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - XML Schema
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains a module with Castor XML schema support and provides
 functionality to reading, processing and writing XML schema documents.

Package: libcastor-anttasks-java
Architecture: all
Depends: libcastor-ddlgen-java, libcastor-codegen-java, libcommons-logging-java,
 ${misc:Depends}
Recommends: ant
Suggests: libcastor-java-doc (= ${binary:Version})
Description: Data binding framework for Java (XML, Objects, DB) - Ant Tasks
 Castor is a data binding framework for Java. It's the shortest path between
 Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
 .
 This package contains Ant task definitions for Castor XML code generator.

Package: libcastor-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libcastor-xml-java (= ${binary:Version})
Description: Documentation for Castor Java databinding framework
 Documentation for Castor, that is a data binding framework for Java. It's
 the shortest path between Java objects, XML documents and relational tables.
 .
 Castor XML is an XML data binding framework. Unlike the two main XML APIs,
 DOM (Document Object Model) and SAX (Simple API for XML) which deal with
 the structure of an XML document, Castor enables you to deal with the
 data defined in an XML document through an object model which represents
 that data.
 .
 Castor XML can be compared to XMLBeans framework.
 .
 Castor JDO is an Object-Relational Mapping and Data-Binding Framework.
 Castor can map relational database data into Java Data Object based
 on user-defined mapping schema. In the other point-of-view,
 it provides java data objects a persistence layer.
