=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')

%:
	dh --with javahelper $@

override_dh_auto_build:
	cd src && ant release
	tar zxf dist/castor-*-doc.tgz -C target
	rm -f target/doc/*license*

override_dh_install:
	dh_install -Xjavadoc
	# XML module
	mh_installpom -plibcastor-xml-java --no-parent xml/pom.xml
	mh_installjar -plibcastor-xml-java -l xml/pom.xml \
		dist/castor-xml-$(VERSION).jar
	# Core module
	mh_installpom -plibcastor-core-java --no-parent core/pom.xml
	mh_installjar -plibcastor-core-java -l core/pom.xml \
		dist/castor-core-$(VERSION).jar
	# JDO module
	mh_installpom -plibcastor-jdo-java --no-parent cpa/pom.xml
	mh_installjar -plibcastor-jdo-java -l cpa/pom.xml \
		dist/castor-jdo-$(VERSION).jar
	# Codegen module
	mh_installpom -plibcastor-codegen-java --no-parent codegen/pom.xml
	mh_installjar -plibcastor-codegen-java -l codegen/pom.xml \
		dist/castor-codegen-$(VERSION).jar
	# Ant tasks
	mh_installpom -plibcastor-anttasks-java --no-parent anttask/pom.xml
	mh_installjar -plibcastor-anttasks-java -l anttask/pom.xml \
		dist/castor-anttasks-$(VERSION).jar
	# DDLgen module
	mh_installpom -plibcastor-ddlgen-java --no-parent ddlgen/pom.xml
	mh_installjar -plibcastor-ddlgen-java -l ddlgen/pom.xml \
		dist/castor-ddlgen-$(VERSION).jar
	# XML Schema module
	mh_installpom -plibcastor-xml-schema-java --no-parent schema/pom.xml
	mh_installjar -plibcastor-xml-schema-java -l schema/pom.xml \
		dist/castor-xml-schema-$(VERSION).jar

override_dh_auto_clean:
	cd src && ant distclean
	mh_clean

override_jh_manifest:
	# Failure of jh_manifest are ignored because it is failing intermittently,
	# so it is not clear if manifest templates from upstream are broken or if
	# this is just a bug in javahelper. By now, I'm ignoring any failure.
	-jh_manifest -v

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download
