## castor 1.3.2

=== DESCRIPTION ===
Package: castor
Type: Package
Title: Efficient Phylogenetics on Large Trees
Version: 1.3.2
Date: 2018-01-19
Author: Stilianos Louca
Maintainer: Stilianos Louca <louca@zoology.ubc.ca>
Description: Efficient tree manipulations for large phylogenies, including pruning, rerooting, calculation of most-recent common ancestors, calculating distances from the tree root and calculating pairwise distances. Calculation of phylogenetic signal and mean trait depth (trait conservatism). Ancestral state reconstruction and hidden character prediction of discrete characters, using maximum likelihood and maximum parsimony methods. Simulating and fitting models of trait evolution, and generating random trees using birth-death models. Citation: Louca, Stilianos and Doebeli, Michael (2017) <doi:10.1093/bioinformatics/btx701>.
License: GPL (>= 2)
Depends: Rcpp (>= 0.12.10)
Imports: parallel, naturalsort, stats
LinkingTo: Rcpp
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2018-01-20 01:54:07 UTC; stilianoslouca
Repository: CRAN
Date/Publication: 2018-01-20 22:03:01 UTC
