=== debian/changelog ===
castor (1.3.2-7) unstable; urgency=medium

  * Team upload.
  * Ignore the stax dependency (provided by the JDK)
  * Simplified debian/rules
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 31 Jul 2018 11:44:49 +0200

castor (1.3.2-6) unstable; urgency=medium

  * Team upload.
  * Depend on libgeronimo-jpa-2.0-spec-java instead of
    libgeronimo-jpa-3.0-spec-java (Closes: #884480)
  * Depend on libgeronimo-jta-1.2-spec-java instead of
    libgeronimo-jta-1.1-spec-java
  * Standards-Version updated to 4.1.2

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 16 Dec 2017 00:54:34 +0100

castor (1.3.2-5) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871843).
  * Bump DH compat level to 10.
  * Update copyright information to make it 1.0 format compliant.
  * Simplify d/rules.

  [ Emmanuel Bourg ]
  * Depend on libgeronimo-jpa-3.0-spec-java instead of glassfish-javaee
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Nov 2017 00:19:04 +0100

castor (1.3.2-4) unstable; urgency=medium

  * Team upload.
  * Depend on libcglib-java instead of libcglib3-java
  * debian/control:
    - Standards-Version updated to 3.9.8 (no changes)
    - Updated the Homepage field
    - Use secure Vcs-* URLs
  * debian/watch: Track the new releases on GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 May 2016 23:45:37 +0200

castor (1.3.2-3) unstable; urgency=medium

  * Team upload.
  * Depend on libcglib3-java instead of libcglib-java
  * Removed the calls to Google Analytics and Ohloh in the documentation
  * debian/rules: Generate Java 5 compatible bytecode
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Standards-Version updated to 3.9.6 (no changes)
    - Updated the Homepage field
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9
  * Updated the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Sep 2014 14:06:30 +0200

castor (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add dependencies on libcommons-lang-java, libcommons-cli-java and javacc.
  * Fix Vcs-Git URL.
  * Fix clean target to allow twice-in-a-row builds.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 22 Jan 2012 00:02:52 -0430
