=== debian/control ===
--- 
+++ 
@@ -1,21 +1,37 @@
 Source: castor
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50), default-jdk, javahelper, ant,
- libcommons-logging-java, liboro-java, libregexp-java, libeasymock-java, junit,
- junit4, libgeronimo-jta-1.0.1b-spec-java, libcglib-java, liblog4j1.2-java,
- glassfish-javaee, velocity, maven-repo-helper, ant-optional
-Standards-Version: 3.8.4
-Homepage: http://www.castor.org/
-Vcs-Git: git://git.debian.org/pkg-java/castor.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/castor.git
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper (>= 11~),
+ default-jdk,
+ javacc,
+ javahelper,
+ junit,
+ junit4,
+ libcglib-java (>= 3.0),
+ libcommons-cli-java,
+ libcommons-lang-java,
+ libcommons-logging-java,
+ libeasymock-java,
+ libgeronimo-jpa-2.0-spec-java,
+ libgeronimo-jta-1.2-spec-java,
+ liblog4j1.2-java,
+ liboro-java,
+ libregexp-java,
+ maven-repo-helper,
+ velocity
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/java-team/castor.git
+Vcs-Browser: https://salsa.debian.org/java-team/castor
+Homepage: http://castor-data-binding.github.io/castor/
 
 Package: libcastor-xml-java
 Architecture: all
 Depends: libcastor-core-java, libcommons-logging-java, ${misc:Depends}
-Recommends: liboro-java, libregexp-java
+Recommends: libcommons-lang-java, liboro-java, libregexp-java
 Suggests: libcastor-java-doc (= ${binary:Version})
 Description: Data binding framework for Java (XML, Objects, DB) - XML module
  Castor is a data binding framework for Java. It's the shortest path between
@@ -63,8 +79,14 @@
 
 Package: libcastor-jdo-java
 Architecture: all
-Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
- libgeronimo-jta-1.0.1b-spec-java, libcglib-java, glassfish-javaee, ${misc:Depends}
+Depends:
+ libcastor-core-java,
+ libcastor-xml-java,
+ libcastor-xml-schema-java,
+ libcglib-java (>= 3.0),
+ libgeronimo-jpa-2.0-spec-java,
+ libgeronimo-jta-1.2-spec-java,
+ ${misc:Depends}
 Suggests: libcastor-java-doc (= ${binary:Version})
 Description: Data binding framework for Java (XML, Objects, DB) - JDO
  Castor is a data binding framework for Java. It's the shortest path between
@@ -87,8 +109,12 @@
 
 Package: libcastor-codegen-java
 Architecture: all
-Depends: libcastor-core-java, libcastor-xml-java, libcastor-xml-schema-java,
- libcommons-logging-java, ${misc:Depends}
+Depends:
+ libcastor-core-java,
+ libcastor-xml-java,
+ libcastor-xml-schema-java,
+ libcommons-logging-java,
+ ${misc:Depends}
 Recommends: velocity
 Suggests: libcastor-java-doc (= ${binary:Version})
 Description: Data binding framework for Java (XML, Objects, DB) - Codegen
@@ -135,9 +161,14 @@
 
 Package: libcastor-xml-schema-java
 Architecture: all
-Depends: libcastor-xml-java, libcastor-core-java, libcommons-logging-java,
- ${misc:Depends}
-Suggests: libcastor-java-doc (= ${binary:Version})
+Depends:
+ libcastor-core-java,
+ libcastor-xml-java,
+ libcommons-logging-java,
+ ${misc:Depends}
+Suggests:
+ libcastor-java-doc (= ${binary:Version}),
+ libcommons-cli-java
 Description: Data binding framework for Java (XML, Objects, DB) - XML Schema
  Castor is a data binding framework for Java. It's the shortest path between
  Java objects, XML documents and relational tables.
@@ -160,7 +191,10 @@
 
 Package: libcastor-anttasks-java
 Architecture: all
-Depends: libcastor-ddlgen-java, libcastor-codegen-java, libcommons-logging-java,
+Depends:
+ libcastor-codegen-java,
+ libcastor-ddlgen-java,
+ libcommons-logging-java,
  ${misc:Depends}
 Recommends: ant
 Suggests: libcastor-java-doc (= ${binary:Version})
