=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ant --with javahelper --with maven-repo-helper

override_dh_auto_build:
	cd src && ant release -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5
	tar zxf dist/castor-*-doc.tgz -C target
	rm -f target/doc/*license*

override_dh_install:
	dh_install -Xjavadoc

override_dh_auto_clean:
	-cd src && ant distclean
