=== debian/watch ===
version=3
https://github.com/castor-data-binding/castor/tags .*/archive/(?:castor-|v)?([\d\.]+).tar.gz debian debian/orig-tar.sh
